/* eventcalc.h -- declarations for event calculator.
   Copyright (C) 2004 Petrozavodsk State University.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
   USA.  */

#ifndef EVCALC_H
#define EVCALC_H

#include <analyzer.h>

/* MTU value.  */
#define MTU_VALUE        0
/* Congestion window.  */
#define CWND             0
/* Slow start threshold.  */
#define SSTHRESH         0
/* Transition time.  */
#define TRANSITION_TIME  0
/* Retransmission timeout.  */
#define RTO              0
/* Defulat dropped time.  */
#define DEFAULT_DROP_TIME_SEC 1
#define DEFAULT_DROP_TIME_USEC 0

/* Function calculate necessary events.  */
void calculate (struct ptu *ptu_sequence,
		struct event **events_sequence,
		struct link **links, 
		struct flow **flows,
		const char *add_log_var);
	    
#endif /* EVCALC_H*/
