/* logread.h -- declarations for log reader.
   Copyright (C) 2004 Petrozavodsk State University.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
   USA.  */

/* Author: Andrew Salo
   Date:   15.04.2004 */

#ifndef LOGREAD_H
#define LOGREAD_H

#include "analyzer.h"

/* Linux cooked header macros. Cut from libpcap-0.7.1 and
   tcpdump-3.7.1 source.  */
#define SLL_HDR_LEN     16	/* Total header length.  */
#define SLL_ADDRLEN     8	/* Length of address field.  */

/* Linux cooked header structure. Cut from libpcap-0.7.1 and
   tcpdump-3.7.1 source.  */
struct sll_header
{
  u_int16_t sll_pkttype;	/* Packet type.  */
  u_int16_t sll_hatype;		/* Link-layer address type.  */
  u_int16_t sll_halen;		/* Link-layer address length.  */
  u_int8_t sll_addr[SLL_ADDRLEN];	/* Link-layer address.  */
  u_int16_t sll_protocol;	/* Protocol.  */
};


/* Read packet trace file and store ptu.  */
void read_log (struct host *h, struct ptu **begin);

#endif /* LOGREAD_H */
