/* pefwrite.h -- declarations for protocol events file writer.
   Copyright (C) 2004 Petrozavodsk State University.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
   USA.  */

/* Author: Mikhail Kryshen & Viktor Surikov */

#ifndef PEFWRITE_H
#define PEFWRITE_H

#include <stdio.h>
#include "analyzer.h"

/* Write the events sequence to the output stream in the PEF format.  */
void pef_write (FILE * out, struct event *events, struct host *hosts,
		struct link *links, struct flow *flows);

/* Write the events sequence to the output file in the PEF format.  */
void pef_writef (char *filename, struct event *events, struct host *hosts,
		 struct link *links, struct flow *flows);

/* Write string in file with adaptation.  */
void fprintf_data (FILE * out, char *str, unsigned long n);

#endif /* PEFWRITE_H */
