/*
 * File:   clp.c
 * Author: Andrew Salo
 * Date:   23.04.2004
 */

#include <stdio.h>
#include <stdlib.h>
#include <arpa/inet.h>

#include "analyzer.h"
#include "cmdlparse.h"
#include "config.h"


/*
 * Print debugging information.
 */
void
clp_debug ()
{
  struct host *tmp;
  int i;

  /* Print number of packet trace files.  */
  fprintf (stderr, "packet trace file count: %d\n", packet_trace_file_count);

  /* Point to the beginning of ptp.  */
  tmp = host_list;
  i = 1;

  /* Print host information, which is filled be command line parser.  */
  while (tmp != NULL)
    {
      fprintf (stderr, "host %d: ip=%s, ptfname=%s, timealign=%f\n", i,
	       inet_ntoa (tmp->ip), tmp->ptfname, tmp->timealign);

      /* Move to next element.  */
      i++;
      tmp = tmp->next;
    }

  /* Print output file name.  */
  fprintf (stderr, "output file name: %s\n", output_file_name);

  /* Print variables log name.  */
  fprintf (stderr, "variables log name: %s\n", variables_log_name);

  /* Print application layer ports.  */
  /* HTTP ports.  */
  fprintf (stderr, "HTTP ports: %hu", ports.http[0]);
  for (i = 1; i < ports.http_count;
       fprintf (stderr, ", %hu", ports.http[i++]));
  fprintf (stderr, "\n");

  /* DNS ports.  */
  fprintf (stderr, "DNS ports: %hu", ports.dns[0]);
  for (i = 1; i < ports.dns_count;
       fprintf (stderr, ", %hu", ports.dns[i++]));
  fprintf (stderr, "\n");
}

/*
 * Entry point of testing program.
 */
int
__wrap_main (int argc, char **argv)
{
  /* Parse command line arguments.  */
  parse_args (argc, argv);

#ifdef DEBUG
  /* Print some debugging information.  */
  clp_debug ();
#endif /* DEBUG */

  exit (EXIT_SUCCESS);
}
