/*
 * File:   anlz_strerror_2.c
 * Author: Andrew Salo
 * Date:   23.04.2004
 */

#include <stdio.h>
#include <stdlib.h>

#include "analyzer.h"
#include "error.h"
#include "config.h"


/*
 * Entry point of testing program.
 */
int
__wrap_main (int argc, char **argv)
{
  extern const int err_num;
  const char *str;

  /* Use argument < 0.  */
  str = anlz_strerror (-1);

  /* Check the string.  */
  if (str == NULL)
    exit (EXIT_FAILURE);

#ifdef DEBUG
  fprintf (stderr, "anlz_strerror() returned string: %s\n", str);
#endif /* DEBUG */

  /* Use 0 <= argument < err_num.  */
  str = anlz_strerror (err_num / 2);

  /* Check the string.  */
  if (str == NULL)
    exit (EXIT_FAILURE);

#ifdef DEBUG
  fprintf (stderr, "anlz_strerror() returned string: %s\n", str);
#endif /* DEBUG */

  /* Use argument >= err_num.  */
  str = anlz_strerror (err_num);

  /* Check the string.  */
  if (str == NULL)
    exit (EXIT_FAILURE);

#ifdef DEBUG
  fprintf (stderr, "anlz_strerror() returned string: %s\n", str);
#endif /* DEBUG */

  exit (EXIT_SUCCESS);
}
